Automations
List Automations
List automations.
GET
/automationsThis endpoint takes no parameters.
const res = await fetch('https://postwaves.online/automations', {
method: 'GET',
headers: {
Authorization: 'Bearer pw_xxxxxxxxx',
'Content-Type': 'application/json',
},
});
const data = await res.json();import requests
res = requests.get(
"https://postwaves.online/automations",
headers={"Authorization": "Bearer pw_xxxxxxxxx"},
)
print(res.json())<?php
$ch = curl_init('https://postwaves.online/automations');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer pw_xxxxxxxxx',
'Content-Type: application/json',
],
]);
$response = json_decode(curl_exec($ch), true);require "net/http"
require "json"
uri = URI("https://postwaves.online/automations")
req = Net::HTTP::Get.new(uri)
req["Authorization"] = "Bearer pw_xxxxxxxxx"
req["Content-Type"] = "application/json"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: uri.scheme == "https") { |http| http.request(req) }
puts JSON.parse(res.body)package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://postwaves.online/automations", nil)
req.Header.Set("Authorization", "Bearer pw_xxxxxxxxx")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
out, _ := io.ReadAll(res.Body)
fmt.Println(string(out))
}curl -X GET 'https://postwaves.online/automations' \
-H 'Authorization: Bearer pw_xxxxxxxxx'Try itGET
/automationsNo key yet? Create one in the dashboard.